<?php

namespace Farfetch\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfBoutiqueBarcodeResult ArrayType
 * @subpackage Arrays
 */
class ArrayOfBoutiqueBarcodeResult extends AbstractStructArrayBase
{
    /**
     * The BoutiqueBarcodeResult
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Farfetch\StructType\BoutiqueBarcodeResult[]
     */
    public $BoutiqueBarcodeResult;
    /**
     * Constructor method for ArrayOfBoutiqueBarcodeResult
     * @uses ArrayOfBoutiqueBarcodeResult::setBoutiqueBarcodeResult()
     * @param \Farfetch\StructType\BoutiqueBarcodeResult[] $boutiqueBarcodeResult
     */
    public function __construct(array $boutiqueBarcodeResult = array())
    {
        $this
            ->setBoutiqueBarcodeResult($boutiqueBarcodeResult);
    }
    /**
     * Get BoutiqueBarcodeResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Farfetch\StructType\BoutiqueBarcodeResult[]|null
     */
    public function getBoutiqueBarcodeResult()
    {
        return isset($this->BoutiqueBarcodeResult) ? $this->BoutiqueBarcodeResult : null;
    }
    /**
     * This method is responsible for validating the values passed to the setBoutiqueBarcodeResult method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBoutiqueBarcodeResult method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBoutiqueBarcodeResultForArrayConstraintsFromSetBoutiqueBarcodeResult(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfBoutiqueBarcodeResultBoutiqueBarcodeResultItem) {
            // validation for constraint: itemType
            if (!$arrayOfBoutiqueBarcodeResultBoutiqueBarcodeResultItem instanceof \Farfetch\StructType\BoutiqueBarcodeResult) {
                $invalidValues[] = is_object($arrayOfBoutiqueBarcodeResultBoutiqueBarcodeResultItem) ? get_class($arrayOfBoutiqueBarcodeResultBoutiqueBarcodeResultItem) : sprintf('%s(%s)', gettype($arrayOfBoutiqueBarcodeResultBoutiqueBarcodeResultItem), var_export($arrayOfBoutiqueBarcodeResultBoutiqueBarcodeResultItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The BoutiqueBarcodeResult property can only contain items of type \Farfetch\StructType\BoutiqueBarcodeResult, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set BoutiqueBarcodeResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \Farfetch\StructType\BoutiqueBarcodeResult[] $boutiqueBarcodeResult
     * @return \Farfetch\ArrayType\ArrayOfBoutiqueBarcodeResult
     */
    public function setBoutiqueBarcodeResult(array $boutiqueBarcodeResult = array())
    {
        // validation for constraint: array
        if ('' !== ($boutiqueBarcodeResultArrayErrorMessage = self::validateBoutiqueBarcodeResultForArrayConstraintsFromSetBoutiqueBarcodeResult($boutiqueBarcodeResult))) {
            throw new \InvalidArgumentException($boutiqueBarcodeResultArrayErrorMessage, __LINE__);
        }
        if (is_null($boutiqueBarcodeResult) || (is_array($boutiqueBarcodeResult) && empty($boutiqueBarcodeResult))) {
            unset($this->BoutiqueBarcodeResult);
        } else {
            $this->BoutiqueBarcodeResult = $boutiqueBarcodeResult;
        }
        return $this;
    }
    /**
     * Add item to BoutiqueBarcodeResult value
     * @throws \InvalidArgumentException
     * @param \Farfetch\StructType\BoutiqueBarcodeResult $item
     * @return \Farfetch\ArrayType\ArrayOfBoutiqueBarcodeResult
     */
    public function addToBoutiqueBarcodeResult(\Farfetch\StructType\BoutiqueBarcodeResult $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Farfetch\StructType\BoutiqueBarcodeResult) {
            throw new \InvalidArgumentException(sprintf('The BoutiqueBarcodeResult property can only contain items of type \Farfetch\StructType\BoutiqueBarcodeResult, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->BoutiqueBarcodeResult[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Farfetch\StructType\BoutiqueBarcodeResult|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Farfetch\StructType\BoutiqueBarcodeResult|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Farfetch\StructType\BoutiqueBarcodeResult|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Farfetch\StructType\BoutiqueBarcodeResult|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Farfetch\StructType\BoutiqueBarcodeResult|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string BoutiqueBarcodeResult
     */
    public function getAttributeName()
    {
        return 'BoutiqueBarcodeResult';
    }
}
