<?php

namespace Farfetch\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateProductWithUuidResponse StructType
 * @subpackage Structs
 */
class CreateProductWithUuidResponse extends AbstractStructBase
{
    /**
     * The CreateProductWithUuidResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CreateProductWithUuidResult;
    /**
     * The articleId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $articleId;
    /**
     * Constructor method for CreateProductWithUuidResponse
     * @uses CreateProductWithUuidResponse::setCreateProductWithUuidResult()
     * @uses CreateProductWithUuidResponse::setArticleId()
     * @param bool $createProductWithUuidResult
     * @param int $articleId
     */
    public function __construct($createProductWithUuidResult = null, $articleId = null)
    {
        $this
            ->setCreateProductWithUuidResult($createProductWithUuidResult)
            ->setArticleId($articleId);
    }
    /**
     * Get CreateProductWithUuidResult value
     * @return bool
     */
    public function getCreateProductWithUuidResult()
    {
        return $this->CreateProductWithUuidResult;
    }
    /**
     * Set CreateProductWithUuidResult value
     * @param bool $createProductWithUuidResult
     * @return \Farfetch\StructType\CreateProductWithUuidResponse
     */
    public function setCreateProductWithUuidResult($createProductWithUuidResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($createProductWithUuidResult) && !is_bool($createProductWithUuidResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($createProductWithUuidResult, true), gettype($createProductWithUuidResult)), __LINE__);
        }
        $this->CreateProductWithUuidResult = $createProductWithUuidResult;
        return $this;
    }
    /**
     * Get articleId value
     * @return int
     */
    public function getArticleId()
    {
        return $this->articleId;
    }
    /**
     * Set articleId value
     * @param int $articleId
     * @return \Farfetch\StructType\CreateProductWithUuidResponse
     */
    public function setArticleId($articleId = null)
    {
        // validation for constraint: int
        if (!is_null($articleId) && !(is_int($articleId) || ctype_digit($articleId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($articleId, true), gettype($articleId)), __LINE__);
        }
        $this->articleId = $articleId;
        return $this;
    }
}
